<?php
//           if($ztabla=='lsub')
//           echo '<br>111 '.$zwhere;

if(!empty($ztabla))
{
          $sql_sele ='select * from '.$ztabla.'0 ';
          $sql_sele.='where '.$ztabla.'_descri!="" ';
          if($ztabla!='stat')
          {$sql_sele.='and '.$ztabla.'_codigo!="-" ';}
          $sql_sele.='and '.$ztabla.'_descri!="NO DEFINIDO" ';
//           $sql_sele.='and '.$ztabla.'_descri="XXX" ';
     
          //if(!isset($ztodo)){$ztodo=0;}
          if($ztodo==1)
          {$sql_sele.='and ifnull('.$ztabla.'_status,"-") not in("O","X") ';}
          else
          {$sql_sele.='and ifnull('.$ztabla.'_status,"-") not in("O","X","I") ';}

//           if($ztabla=='lsub')
//           echo '<br>222 '.$zwhere;

     
          if(!empty($zwhere))
          {$sql_sele.='and ('.$zwhere.') ';}
     
          if(!empty($zcolu))
          {$sql_sele.='group by '.$zcolu.' ';}	
               
          $orderby=$ztabla.'_codigo ';
     
          if(mb_stristr2('.enti.item.clor.pcnt.vndd',$ztabla))
          {$orderby=$ztabla.'_descri ';}
     
          if(mb_stristr2('.docu',$ztabla))
          {$orderby=$ztabla.'_descri ';}
//           {$orderby=$ztabla.'_codigo ';}

          if(mb_stristr2('.civa',$ztabla))
          {$orderby=$ztabla.'_descri*(1),'.$ztabla.'_codigo ' ;}
     
//      echo '==='.$xorderby;
     
          if(!empty($zorder))
          {$orderby=' '.$zorder.' ';}
          
          $sql_sele.='order by '.$orderby;
     
          $res_sele=@msql_query($sql_sele,$link_data);

//      if($ztabla=='civa')
//      echo '<br>*/*/*/'.$sql_sele;
//      echo '*/*/*/'.$sql_sele;
     
          if(!empty($zdefad))
          {$zoptions.=$zdefa.','.$zdefad.';';}

     
		if(msql_num_rows($res_sele)>1)
          {
//                if($ztodo==1){$zoptions.=' '.','.' - TODO - '.';';}
//                else{$zoptions.=' '.','.'N/A'.';';}
//                if($ztodo!=1)
//                {$zoptions.=' '.','.'N/A'.';';}
          }

     
		if(msql_num_rows($res_sele)!=0)
		{
               while ($aso_sele=msql_fetch_assoc($res_sele))
               {
                    $xzoptions=trim($aso_sele[$ztabla.'_codigo']).','.trim($aso_sele[$ztabla.'_descri']).';'; 
                    if($ztabla=='docu')
                    {$xzoptions=trim($aso_sele[$ztabla.'_codigo']).','.substr(trim($aso_sele[$ztabla.'_descri']),0,25).';'; }
                    if($ztabla=='vndd')
                    {$xzoptions=trim($aso_sele[$ztabla.'_codigo']).','.substr(trim($aso_sele[$ztabla.'_descri']),0,15).';'; }
//                     {$xzoptions=trim($aso_sele[$ztabla.'_codigo']).','.trim($aso_sele[$ztabla.'_nom1']).';'; }
                    $zoptions.=$xzoptions; 
               }
//                $zoptions=abrevia($zoptions);
		}
}

?>